curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/test-image \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"imageFileBase64": "<string>",
"input": {
"resizeMode": "squash"
},
"model": {
"modelType": "classification",
"labels": [
"<string>"
]
}
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/test-image"
payload = {
"imageFileBase64": "<string>",
"input": { "resizeMode": "squash" },
"model": {
"modelType": "classification",
"labels": ["<string>"]
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
imageFileBase64: '<string>',
input: {resizeMode: 'squash'},
model: {modelType: 'classification', labels: ['<string>']}
})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/pretrained-model/test-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>",
"result": {},
"boundingBoxes": [
{
"label": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"score": 123
}
],
"freeformResult": {
"outputTensors": [
{
"shape": [
123
],
"data": [
123
]
}
]
},
"anomalyResult": [
{
"boxes": [
{
"label": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"score": 123
}
],
"scores": [
[
123
]
],
"meanScore": 123,
"maxScore": 123
}
]
}Test pretrained model using image data
Test out a pretrained model (using image data) - upload first via uploadPretrainedModel.
If you want to deploy a pretrained model from the API, see startDeployPretrainedModelJob.
This will transform raw image data (e.g. RGB to grayscale, resize) before classifying.
To classify raw features, see testPretrainedModel.
Authorizations
Path Parameters
Project ID
Query Parameters
Impulse ID. If this is unset then the default impulse is used.
Body
Response
OK
Whether the operation succeeded
Optional error description (set if 'success' was false)
Classification value per label. For a neural network this will be the confidence, for anomalies the anomaly score.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Anomaly scores and computed metrics for visual anomaly detection, one item per window.
Show child attributes
Show child attributes
Was this page helpful?